%def_disable static

Name: libcdaudio
Version: 0.99.12p2
Release: alt2

Summary: A library of functions for controlling audio CD-ROM players
License: GPL
Group: System/Libraries
Url: http://sourceforge.net/projects/libcdaudio/
Packager: Repocop Q. A. Robot <repocop@altlinux.org>

Source: http://downloads.sourceforge.net/libcdaudio/%name-%version.tar.gz

BuildRequires: gcc-c++ libstdc++-devel glibc-kernheaders

%description
libcdaudio is a library designed to provide functions to control
operation of a CD-ROM when playing audio CDs. It also contains
functions for CDDB and CD Index lookup.

%package devel
Summary: Header files and libraries for libcdaudio development
Group: Development/C
Requires: %name = %version-%release

%description devel
The libcdaudio-devel package provides the header files and libraries
needed for libcdaudio development.

%package devel-static
Summary: libcdaudio static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The libcdaudio-static package provides static library needed for
libcdaudio development.

%prep
%setup -q

%build
%configure \
	%{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_libdir/*.so.*

%files devel
%_bindir/*-config
%_includedir/*
%_libdir/*.so
%_datadir/aclocal/*
%_pkgconfigdir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Oct 28 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.99.12p2-alt2
- Rebuilt for soname set-versions

* Wed Nov 04 2009 Igor Vlasenko <viy@altlinux.ru> 0.99.12p2-alt1.1
- NMU (by repocop): the following fixes applied:
  * post_ldconfig for libcdaudio
  * postun_ldconfig for libcdaudio

* Tue May 08 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.99.12p2-alt1
- 0.99.12p2.
- Some spec cleanup.

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.10-alt1
- 0.99.10

* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.4-alt2
- do not package .la files.

* Wed Apr 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.4-alt1
- Adopted for Sisyphus PLD package. Thanks PLD Team.

